{% extends 'layout.html' %}

{% block no-javascript %}
<div class="panel panel-default" style="padding: 0; margin: 20px; width: 95%;">
    <div class="panel-body">
        <p><img src="/static/pics/loading.gif" width="132" height="15" style="vertical-align:middle; padding-right:1%; padding-bottom:4px;"><b>Chargement de la page en cours...</b></p>
    </div>
</div>

<div class="panel panel-default" style="padding: 0; margin: 20px; width: 95%;">
    <div class="panel-body">
        <p>Si ce message reste affiché, c'est peut-être parce que <a href="https://support.mozilla.org/fr/kb/parametres-javascript-pages-interactives#w_quest-ce-que-javascript">javascript</a> est désactivé dans votre navigateur.</p>
        <p>Ce site en a besoin pour fonctionner correctement.</p>
    </div>
</div>

<div class="panel panel-default" style="padding: 0; margin: 20px; width: 95%;">
    <div class="panel-body">
        <p>Pour remédier à cette situation et vous permettre d'accéder au contenu, il y a actuellement deux possibilités :
            <ul>
                <li>Vous pouvez simplement <a href="http://www.enable-javascript.com/fr/">activer javascript</a>.</li>
                <li>Je n'ai pas assez de temps pour modifier le site de façon à lui permettre de fonctionner sans javascript,<br>mais vous pouvez améliorer vous-même le code du site. Consulter <a
                        href="https://github.com/nicolashainaux/mathmaker">cette page</a> pour me contacter.</li>
            </ul>
        </p>
    </div>
</div>
<div class="panel panel-default" style="padding: 0; margin: 20px; width: 95%;">
    <div class="panel-body">
        <p>
            Si aucune de ces possibilités ne vous convient, je suis désolé mais je n'ai pas de solution.
        </p>
    </div>
</div>
{% endblock %}

{% block navigation %}
<div class="col-md-12 navbar_row" role="navigation">
    {% block interactive_or_printable %}
    <div id="ipselector" class="panel panel-default" style="position: absolute; top: 0px; left: 0.5%; width: 15.2%; z-index: 10;">
        <div class="panel-body" style="padding: 8px;">
            <div>
                <form id="interactive_or_printable_selector" style="text-align:left;">
                    <div style="display: flex; flex-flow: row nowrap; justify-content: space-around;">
                        <div><a href="/mode-d-emploi-pdf/"><img src="/static/pics/question.svg" align="middle" alt="?" title="aide" style="width:25px;height:25px;"></a></div>
                        <div>
                            <input class="radio-btn" type="radio" name="interactive_or_printable_selector" value="|interactive" style="vertical-align: middle; margin: 0px;" checked>
                            <img src="/static/pics/interactive_doc.svg" align="middle" alt="document pdf interactif" title="document pdf interactif" style="width:25px;height:25px;">
                        </div>
                        <div>
                            <input class="radio-btn" type="radio" name="interactive_or_printable_selector" value="" style="vertical-align: middle; margin: 0px;">
                            <img src="/static/pics/printer.svg" align="middle" alt="document pdf à imprimer" title="document pdf à imprimer" style="width:25px;height:25px;">
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    {% endblock %}
    <ul class="nav nav-pills navbar_entries">
        {% for slug, link, entry, html_entry in navbar_data %}
        {% if active_category == entry %}
        <li role="presentation" class="active navbar_entry navbar_active_{{ slug }}">
            {% else %}
        <li role="presentation" class="navbar_entry navbar_{{ slug }}">
            {% endif %}
            {% if html_entry == 'unset' %}
            <a href="{{ link }}">{{ entry }}</a>
            {% else %}
            <a href="{{ link }}">{{ html_entry|safe }}</a>
            {% endif %}
        </li>

        {% endfor %}
    </ul>
</div>
{% endblock %}

{% block leftmenu %}
<ul class="nav nav-pills nav-stacked">
    {% if leftmenu_belts %}
    {% if active_theme == 'Calcul mental' %}
    <li role="presentation" class="active">
        <a class="leftentry cat_{{ category_slug }} accordion_button active" id="leftmenu_{{ category_slug }}_calcul_mental" href="{{ belts_link }}">Calcul mental</a>
    {% else %}
    <li role="presentation">
        <a class="leftentry cat_{{ category_slug }} accordion_button" id="leftmenu_{{ category_slug }}_calcul_mental" href="{{ belts_link }}">Calcul mental</a>
    {% endif %}
    <article class="ac-xxl accordion_belts hidden">
        <ul class="nav nav-pills nav-stacked">
            {% for link, thm_slug, thm_name, entry, html_entry, last_ in leftmenu_belts %}
            {% if active_theme == thm_name %}
            <li class="active leftentry {{ category_slug }}">
                {% firstof html_entry|safe entry as text %}
                <a id="leftmenu_{{ category_slug }}_{{ thm_slug }}" class="leftentry belt {{ last_ }} {{ thm_slug }} cat_{{ category_slug }} active" href="{{ link }}">{{ text }}</a>
            </li>
            {% else %}
            <li class="leftentry {{ category_slug }}">
                {% firstof html_entry|safe entry as text %}
                <a id="leftmenu_{{ category_slug }}_{{ thm_slug }}" class="leftentry belt {{ last_ }} {{ thm_slug }} cat_{{ category_slug }}" href="{{ link }}">{{ text }}</a>
            </li>
            {% endif %}
            {% endfor %}
        </ul>
    </article>
    </li>
    {% endif %}
    {% if leftmenu_geovids %}
    {% if active_theme == 'Géométrie en vidéos' %}
    <li role="presentation" class="active">
        <a class="leftentry cat_{{ category_slug }} accordion_button active" id="leftmenu_{{ category_slug }}_calcul_mental" href="{{ belts_link }}">Géométrie en vidéos</a>
    {% else %}
    <li role="presentation">
        <a class="leftentry cat_{{ category_slug }} accordion_button" id="leftmenu_{{ category_slug }}_calcul_mental" href="{{ belts_link }}">Géométrie en vidéos</a>
    {% endif %}
    <article class="ac-xxl accordion_belts hidden">
        <ul class="nav nav-pills nav-stacked">
            {% for link, thm_slug, thm_name, entry, html_entry, last_ in leftmenu_belts %}
            {% if active_theme == thm_name %}
            <li class="active leftentry {{ category_slug }}">
                {% firstof html_entry|safe entry as text %}
                <a id="leftmenu_{{ category_slug }}_{{ thm_slug }}" class="leftentry belt {{ last_ }} {{ thm_slug }} cat_{{ category_slug }} active" href="{{ link }}">{{ text }}</a>
            </li>
            {% else %}
            <li class="leftentry {{ category_slug }}">
                {% firstof html_entry|safe entry as text %}
                <a id="leftmenu_{{ category_slug }}_{{ thm_slug }}" class="leftentry belt {{ last_ }} {{ thm_slug }} cat_{{ category_slug }}" href="{{ link }}">{{ text }}</a>
            </li>
            {% endif %}
            {% endfor %}
        </ul>
    </article>
    </li>
    {% endif %}
    {% for cat_slug, thm_slug, link, entry, html_entry in leftmenu_data %}
    {% if active_theme == entry %}
    <li role="presentation" class="active">
        {% if html_entry == 'unset' %}
        <a class="leftentry cat_{{ cat_slug }} active" id="leftmenu_{{ cat_slug }}_{{ thm_slug }}" href="{{ link }}">{{ entry }}</a>
        {% else %}
        <a class="leftentry cat_{{ cat_slug }} active" id="leftmenu_{{ cat_slug }}_{{ thm_slug }}" href="{{ link }}">{{ html_entry|safe }}</a>
        {% endif %}
    </li>
    {% else %}
    <li role="presentation">
        {% if html_entry == 'unset' %}
        <a class="leftentry cat_{{ cat_slug }}" id="leftmenu_{{ cat_slug }}_{{ thm_slug }}" href="{{ link }}">{{ entry }}</a>
        {% else %}
        <a class="leftentry cat_{{ cat_slug }}" id="leftmenu_{{ cat_slug }}_{{ thm_slug }}" href="{{ link }}">{{ html_entry|safe }}</a>
        {% endif %}
    </li>
    {% endif %}
    {% endfor %}
</ul>
{% endblock %}

{% block main_content %}
<div class="category-content" id="main_content_{{ category_slug }}">
    {{ category_content|safe }}
</div>
{% if not footer %}
    <div id="WELCOME" class="category-content hidden">
        <div class="panel panel-default panel-wide">
            <div class="panel-body vcentered-category-tile">
                <img src="/static/pics/karate-fighter.svg" width="80" height="80">
                <p>Bienvenue à l'entraînement de calcul mental !</p> <img src="/static/pics/karate-master.svg" width="80" height="80">
            </div>
        </div>

        <div class="panel panel-default panel-third">
            <div style="display: flex; flex-direction: column; justify-content: flex-start; align-content: center; align-items: center;">
                <div>
                    <div class="panel-body category-tile">
                        <img src="/static/pics/ceinture/01_blanche.svg" width="100" height="39" style="margin-top: 8px;">
                        <p class="kept-away-from-left">Tout le monde commence ceinture blanche.</p>
                    </div>
                </div>
            </div>
        </div>

        <div class="panel panel-default panel-third">
            <div class="panel-body">
                <p>Pour passer au grade supérieur, il faut au moins 15/20 au bilan.</p>
            </div>
        </div>

        <div class="panel panel-default panel-right-third">
            <div style="display: flex; flex-direction: column; justify-content: flex-start; align-content: center; align-items: center;">
                <div>
                    <div class="panel-body category-tile">
                        <img src="/static/pics/ceinture/09_noire.svg" width="100" height="100" style="margin-top: 8px;">
                        <p class="kept-away-from-left">L'objectif est d'obtenir la ceinture noire en fin d'année.</p>
                    </div>
                </div>
            </div>

        </div>

        <div class="panel panel-default panel-wide">
            <div class="panel-body vcentered-category-tile">
                <img src="/static/pics/man-kicking-robots-head.svg" width="119" height="100" style="margin-right: 20px;">
                <div>
                    <p>Plus on progresse, plus on comprend les maths, et moins on a besoin de la calculatrice !</p>
                    <p>(On sait l'utiliser <i>à bon escient</i>). </p>
                </div>
            </div>
        </div>
    </div>
    <div id="central_content"> <!-- style="display: flex; flex-wrap: wrap;" -->
    {% for theme_slug, data in tiles_data %}
    <div class="tiles_group" id="central_{{ category_slug }}_{{ theme_slug }}">
        {% for name, content in data %}
        <!-- {# {% if forloop.counter|divisibleby:3  %} #} -->
        <div class="panel panel-default tile">
            <div class="panel-heading">{{ name }}</div>
            <div class="panel-body">{{ content|safe }}</div>
        </div>
        {% endfor %}
    </div>
    {% endfor %}
</div>
{% endif %}
{% endblock %}

{% block footer %}
<div class="footer row">
    <div class="col-md-12 footer_row" role="navigation">
        <ul class="footer-entries">
            {% for link, entry in footer_data %}
            {% if active_category == entry %}
            <li role="presentation" class="active footer_entry active_footer_entry">
                <a href="/{{ link }}/">{{ entry }}</a>
            </li>
            {% else %}
            <li role="presentation" class="footer_entry">
                <a href="/{{ link }}/">{{ entry }}</a>
            </li>
            {% endif %}
            {% endfor %}
        </ul>
    </div>
    <!--<div class="debug">
    <p>Test: {{ test_var }}<br></p>
  </div>-->
</div>
{% endblock %}
